## yandex-traffic-widget 0.1-1

=== tests/widget/Makefile ===
#############################################################################
# Makefile for building: widget
# Generated by qmake (2.01a) (Qt 4.6.0) on: ?? ????? 10 13:19:26 2010
# Project:  widget.pro
# Template: app
# Command: /opt/qt-4.6/bin/qmake -unix -o Makefile widget.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qt-4.6/mkspecs/linux-g++-64 -I. -I/opt/qt-4.6/include/QtCore -I/opt/qt-4.6/include/QtNetwork -I/opt/qt-4.6/include/QtGui -I/opt/qt-4.6/include/QtXml -I/opt/qt-4.6/include -I../../../yandex-traffic-widget -I../../../yandex-traffic-widget -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1 -Wl,-rpath,/opt/qt-4.6/lib
LIBS          = $(SUBLIBS)  -L/opt/qt-4.6/lib -lQtXml -L/opt/qt-4.6/lib -lQtGui -L/usr/X11R6/lib64 -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt-4.6/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		../../regions.cpp \
		../../settings.cpp \
		../../traffic.cpp \
		../../http_fetcher.cpp \
		../../mainwidget.cpp \
		../../light.cpp moc_traffic.cpp \
		moc_http_fetcher.cpp \
		moc_mainwidget.cpp \
		moc_light.cpp
OBJECTS       = main.o \
		regions.o \
		settings.o \
		traffic.o \
		http_fetcher.o \
		mainwidget.o \
		light.o \
		moc_traffic.o \
		moc_http_fetcher.o \
		moc_mainwidget.o \
		moc_light.o
DIST          = /opt/qt-4.6/mkspecs/common/g++.conf \
		/opt/qt-4.6/mkspecs/common/unix.conf \
		/opt/qt-4.6/mkspecs/common/linux.conf \
		/opt/qt-4.6/mkspecs/qconfig.pri \
		/opt/qt-4.6/mkspecs/features/qt_functions.prf \
		/opt/qt-4.6/mkspecs/features/qt_config.prf \
		/opt/qt-4.6/mkspecs/features/exclusive_builds.prf \
		/opt/qt-4.6/mkspecs/features/default_pre.prf \
		../../yandex-traffic-core.pri \
		../../yandex-traffic-gui.pri \
		/opt/qt-4.6/mkspecs/features/release.prf \
		/opt/qt-4.6/mkspecs/features/default_post.prf \
		/opt/qt-4.6/mkspecs/features/warn_on.prf \
		/opt/qt-4.6/mkspecs/features/qt.prf \
		/opt/qt-4.6/mkspecs/features/unix/thread.prf \
		/opt/qt-4.6/mkspecs/features/moc.prf \
		/opt/qt-4.6/mkspecs/features/resources.prf \
		/opt/qt-4.6/mkspecs/features/uic.prf \
		/opt/qt-4.6/mkspecs/features/yacc.prf \
		/opt/qt-4.6/mkspecs/features/lex.prf \
		/opt/qt-4.6/mkspecs/features/include_source_dir.prf \
		widget.pro
QMAKE_TARGET  = widget
DESTDIR       = 
TARGET        = widget

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: widget.pro  /opt/qt-4.6/mkspecs/linux-g++-64/qmake.conf /opt/qt-4.6/mkspecs/common/g++.conf \
		/opt/qt-4.6/mkspecs/common/unix.conf \
		/opt/qt-4.6/mkspecs/common/linux.conf \
		/opt/qt-4.6/mkspecs/qconfig.pri \
		/opt/qt-4.6/mkspecs/features/qt_functions.prf \
		/opt/qt-4.6/mkspecs/features/qt_config.prf \
		/opt/qt-4.6/mkspecs/features/exclusive_builds.prf \
		/opt/qt-4.6/mkspecs/features/default_pre.prf \
		../../yandex-traffic-core.pri \
		../../yandex-traffic-gui.pri \
		/opt/qt-4.6/mkspecs/features/release.prf \
		/opt/qt-4.6/mkspecs/features/default_post.prf \
		/opt/qt-4.6/mkspecs/features/warn_on.prf \
		/opt/qt-4.6/mkspecs/features/qt.prf \
		/opt/qt-4.6/mkspecs/features/unix/thread.prf \
		/opt/qt-4.6/mkspecs/features/moc.prf \
		/opt/qt-4.6/mkspecs/features/resources.prf \
		/opt/qt-4.6/mkspecs/features/uic.prf \
		/opt/qt-4.6/mkspecs/features/yacc.prf \
		/opt/qt-4.6/mkspecs/features/lex.prf \
		/opt/qt-4.6/mkspecs/features/include_source_dir.prf \
		/opt/qt-4.6/lib/libQtXml.prl \
		/opt/qt-4.6/lib/libQtCore.prl \
		/opt/qt-4.6/lib/libQtGui.prl \
		/opt/qt-4.6/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile widget.pro
/opt/qt-4.6/mkspecs/common/g++.conf:
/opt/qt-4.6/mkspecs/common/unix.conf:
/opt/qt-4.6/mkspecs/common/linux.conf:
/opt/qt-4.6/mkspecs/qconfig.pri:
/opt/qt-4.6/mkspecs/features/qt_functions.prf:
/opt/qt-4.6/mkspecs/features/qt_config.prf:
/opt/qt-4.6/mkspecs/features/exclusive_builds.prf:
/opt/qt-4.6/mkspecs/features/default_pre.prf:
../../yandex-traffic-core.pri:
../../yandex-traffic-gui.pri:
/opt/qt-4.6/mkspecs/features/release.prf:
/opt/qt-4.6/mkspecs/features/default_post.prf:
/opt/qt-4.6/mkspecs/features/warn_on.prf:
/opt/qt-4.6/mkspecs/features/qt.prf:
/opt/qt-4.6/mkspecs/features/unix/thread.prf:
/opt/qt-4.6/mkspecs/features/moc.prf:
/opt/qt-4.6/mkspecs/features/resources.prf:
/opt/qt-4.6/mkspecs/features/uic.prf:
/opt/qt-4.6/mkspecs/features/yacc.prf:
/opt/qt-4.6/mkspecs/features/lex.prf:
/opt/qt-4.6/mkspecs/features/include_source_dir.prf:
/opt/qt-4.6/lib/libQtXml.prl:
/opt/qt-4.6/lib/libQtCore.prl:
/opt/qt-4.6/lib/libQtGui.prl:
/opt/qt-4.6/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile widget.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/widget1.0.0 || $(MKDIR) .tmp/widget1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/widget1.0.0/ && $(COPY_FILE) --parents ../../regions.hpp ../../settings.hpp ../../traffic.hpp ../../http_fetcher.hpp ../../mainwidget.hpp ../../light.hpp .tmp/widget1.0.0/ && $(COPY_FILE) --parents main.cpp ../../regions.cpp ../../settings.cpp ../../traffic.cpp ../../http_fetcher.cpp ../../mainwidget.cpp ../../light.cpp .tmp/widget1.0.0/ && (cd `dirname .tmp/widget1.0.0` && $(TAR) widget1.0.0.tar widget1.0.0 && $(COMPRESS) widget1.0.0.tar) && $(MOVE) `dirname .tmp/widget1.0.0`/widget1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/widget1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_traffic.cpp moc_http_fetcher.cpp moc_mainwidget.cpp moc_light.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_traffic.cpp moc_http_fetcher.cpp moc_mainwidget.cpp moc_light.cpp
moc_traffic.cpp: ../../http_fetcher.hpp \
		../../traffic.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../traffic.hpp -o moc_traffic.cpp

moc_http_fetcher.cpp: ../../http_fetcher.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../http_fetcher.hpp -o moc_http_fetcher.cpp

moc_mainwidget.cpp: ../../traffic.hpp \
		../../http_fetcher.hpp \
		../../settings.hpp \
		../../regions.hpp \
		../../light.hpp \
		../../mainwidget.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../mainwidget.hpp -o moc_mainwidget.cpp

moc_light.cpp: ../../traffic.hpp \
		../../http_fetcher.hpp \
		../../light.hpp
	/opt/qt-4.6/bin/moc $(DEFINES) $(INCPATH) ../../light.hpp -o moc_light.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

regions.o: ../../regions.cpp ../../regions.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o regions.o ../../regions.cpp

settings.o: ../../settings.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settings.o ../../settings.cpp

traffic.o: ../../traffic.cpp ../../traffic.hpp \
		../../http_fetcher.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o traffic.o ../../traffic.cpp

http_fetcher.o: ../../http_fetcher.cpp ../../http_fetcher.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o http_fetcher.o ../../http_fetcher.cpp

mainwidget.o: ../../mainwidget.cpp ../../mainwidget.hpp \
		../../traffic.hpp \
		../../http_fetcher.hpp \
		../../settings.hpp \
		../../regions.hpp \
		../../light.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwidget.o ../../mainwidget.cpp

light.o: ../../light.cpp ../../light.hpp \
		../../traffic.hpp \
		../../http_fetcher.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o light.o ../../light.cpp

moc_traffic.o: moc_traffic.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_traffic.o moc_traffic.cpp

moc_http_fetcher.o: moc_http_fetcher.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_http_fetcher.o moc_http_fetcher.cpp

moc_mainwidget.o: moc_mainwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwidget.o moc_mainwidget.cpp

moc_light.o: moc_light.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_light.o moc_light.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
yandex-traffic-widget (0.1-1) unstable; urgency=low

  * First public version

 -- Max Lapan <max.lapan@gmail.com>  Tue, 16 Mar 2010 17:43:43 +0300

=== debian/control ===
Source: yandex-traffic-widget
Section: user/desktop
Priority: optional
Maintainer: Max Lapan <max.lapan@gmail.com>
Uploaders: Harald Fernengel <harald.fernengel@nokia.com>
Build-Depends: libqt4-maemo5-dev, libhildon1-dev, libhildondesktop1-dev, mce-dev
Standards-Version: 3.7.3

Package: yandex-traffic-widget
Architecture: any
Depends: ${shlibs:Depends}, qt4-maemo5-homescreen-loader
Description: Desktop widget which shows traffic information provided by Yandex
 At the moment widget can display one of four citites (Moscow, Kiev,
 St.Petersburg and Ekaterinburg) overview traffic information.
 You can tune amount of information displayed, refresh interval and connection
 used to refresh data (GSM of WiFi).
 .
 First public release of Yandex.Traffic widget.

## yandex-traffic-widget 0.1-2

=== debian/changelog ===
yandex-traffic-widget (0.1-2) unstable; urgency=low

  * Fixed bug with hanging connections
  * Add extra debug messages to log.

 -- Max Lapan <max.lapan@gmail.com>  Thu, 18 Mar 2010 20:11:58 +0300

## yandex-traffic-widget 0.1-3

=== debian/changelog ===
yandex-traffic-widget (0.1-3) unstable; urgency=low

  * Fix bug when refresh stopped after some time.
  * Extended refresh intervals with 1 hr and 2 hrs.

 -- Max Lapan <max.lapan@gmail.com>  Fri, 19 Mar 2010 14:39:00 +0300

=== debian/control ===
--- 
+++ 
@@ -16,3 +16,17 @@
  used to refresh data (GSM of WiFi).
  .
  First public release of Yandex.Traffic widget.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAAXNSR0IArs4c
+ 6QAAAIRQTFRFtbe0BCcCA0UANTc0PzkzREQ9Nkw7SUpIJF4XBm0GVlU9b1gA
+ WlxZMW8zbmYyaGlnAJ0McnRxmHoMgIA7enx5g4WCuYoAjY+MlZeUWq5eppxl
+ Wbk8nZ+cHdInBukA1bouAP8TDP8AAP8nu726J/4n0sCj58gbq8+qyMrH/tUT
+ /90f5efkZPXs5AAAAAF0Uk5TAEDm2GYAAAABYktHRACIBR1IAAAACXBIWXMA
+ AAsTAAALEwEAmpwYAAAAB3RJTUUH2gMSERkVKfj0mQAAAQpJREFUKM9l0e1y
+ gyAQhWGaLVipEE1EbeMXjKWjvf/764IBsX1/JfsMk8wcQghRCqhs7Bq6vX9+
+ kT2k27qt2x4SJSFVU7kGQZMH1RWlU5RtkjwlLm0Qe+fpK3iNZu+SQqSqAsB3
+ zWTt1EjJE1JIQBExzimFLNJPR8EjdXf8oCL1PZyrI3Udfs2ube9rM4ATZUVR
+ XPey5LeQnBRFrrWey/zyohKiTt60/mtt6/4W20XrMT/ME4AOlc5ONO95yi9x
+ LybKcQ6V+cf3MWXpTsaY2ThiyZRMeDALZmbBklEYDHj3sizDmZgYl2ejYCkB
+ 2mCebwQ7T4n2GMZxeKAk1LopGaJwd5R/U/orO6b8BdsHJcFgj50+AAAAAElF
+ TkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := yandex-traffic-widget

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

binary-indep: build install
	dh_install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
